package com.viettel.campaign.service;

import com.viettel.campaign.web.dto.CustomerDTO;
import com.viettel.campaign.web.dto.CustomerListDTO;
import com.viettel.campaign.web.dto.ResultDTO;
import com.viettel.campaign.web.dto.request_dto.SearchCustomerRequestDTO;
import com.viettel.campaign.web.dto.request_dto.CustomerRequestDTO;

import java.util.Map;

public interface CustomerService {

    ResultDTO listAllCustomer(int page, int pageSize, String sort, long customerListId, long companySiteId);

    ResultDTO getCustomerId(Long customerId);

    Map listCustByName(int page, int pageSize, String sort, String name);

    ResultDTO createCustomer(CustomerDTO customerDTO);

    ResultDTO deleteCustomer(CustomerRequestDTO customerRequestDTO);

    ResultDTO deleteIds(CustomerRequestDTO customerRequestDTO);

    // ------------ customer list ------------ //

    Map getCustomerList(int page, int pageSize, String sort);

    ResultDTO createCustomerList(CustomerListDTO customerListDTO);

    ResultDTO updateCustomerList(CustomerListDTO customerListDTO);

    ResultDTO deleteCustomerList(CustomerListDTO customerListDTO);

    ResultDTO deleteCustomerListIds(CustomerRequestDTO customerRequestDTO);

<<<<<<< HEAD
    ResultDTO searchCustomerList(SearchCustomerRequestDTO searchCustomerRequestDTO);
=======
    ResultDTO searchCustomerList(CampaignCustomerRequestDTO campaignCustomerRequestDTO);

    // ------------ customer contact ------------ //

    ResultDTO getCustomerContact(Long customerId, Short contactType, String contact);
>>>>>>> 34ea2d6ca2abb80539da3dd29437f08fed559e93
}
